%define module_version 0.03
%define module_name MojoX-Log-Declare
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Declare.pm) perl(Mojo/Base.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Integrate Log::Declare with Mojolicious
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CH/CHGOVUK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Mojo::Base 'Mojolicious';
  use MojoX::Log::Declare;

  sub startup {
     my $self = shift;

     $self->log( MojoX::Log::Declare->new() );
     # ...
  }


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/M*

%changelog
* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

